body {
    background-color: #f4f5f8;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

main {
    background-color: #ffffff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    font-size: 14px;
}

.task-section-title {
    background: rgba(23, 162, 184, 0.75);
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05);
    border: 1px solid;
    border-radius: 8px;
    color: #ffffff;
    font-size: 14px;
    padding: 10px;
    margin: 5px 0 10px 0;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 8px;
    display: inline-flex;
    width: 100%
}

.task-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    border-bottom: 1px solid #e3e7ed;
}

.task-item:last-child {
    border-bottom: none;
}

.task-info {
    display: flex;
    flex-direction: column;
    width: 30%;
}

.task-info span {
    font-size: 14px;
    margin-bottom: 4px;
    white-space: nowrap; /* Prevent text from wrapping */
    overflow: hidden;
    text-overflow: ellipsis;
}

.task-time {
    font-size: 14px;
    display: flex;
    align-items: center;
    width: 20%;
    white-space: nowrap; /* Prevent text from wrapping */
}

.task-controls {
    width: 20%;
    text-align: right;
    display: flex;
    justify-content: flex-end;
}

.task-controls button {
    margin-left: 10px;
}

.task-timer-group {
    background-color: rgba(23, 162, 184, 0.5);
    border-radius: 10px;
    margin: 6px 0;
}


.btn-primary {
    background-color: #17A2B8;
    border-color: #17A2B8;
    color: #ffffff;

    transition: all .3s;
}

.btn-primary:hover, .btn-primary:focus, .btn-primary:active , .btn-primary:target, .btn-primary:visited {
    background-color: #117a8b;
    border-color: #117a8b;
}

.addBtn {
    font-size: 20px;
    border-radius: 40px;
    background-color: #17A2B8;
    border-color: #17A2B8;
    color: #ffffff;
}

.addBtn:hover {
    background-color: #117a8b;
    border-color: #117a8b;
    color: #ffffff;
}

.modal-header {
    border-bottom: none;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.modal-title {
    font-size: 18px;
    font-weight: bold;
}

.close {
    font-size: 24px;
}

.modal-body .form-group {
    margin-bottom: 1.5rem;
}

.form-control {
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
}

.modal-footer {
    border-top: none;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.btn-secondary {
    background-color: #d1d1d1;
    border-color: #d1d1d1;
    color: #fff;

    transition: all .3s;
}

.btn-secondary:hover {
    background-color: #b0b0b0;
    border-color: #b0b0b0;
}

.legend-container {
    font-size: 14px;
}

.section {
    margin-top: 20px;
}

ul {
    list-style: none;
    padding: 0;
}

h5 {
    border-bottom: 1px solid rgba(23, 162, 184, 0.5);
}

ul li {

    background: rgba(23, 162, 184, 0.2);
    margin: 5px 0;
    padding: 10px;
    border-radius: 4px;
}

ul ul {
    margin-left: 20px;
}

ul ul li {
    background: #f0f0f0;
}